Bug 494795 - gsynaptics selection of AccelFactor is broken
gsynaptics selection of AccelFactor is broken
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gsynaptics (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-08 02:25 EDT by Peter Hutterer
Modified: 2010-06-28 07:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:44:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Hutterer 2009-04-08 02:25:44 EDT
Description of problem:

Copying comments 23 and 24 from Bug 462574.
https://bugzilla.redhat.com/show_bug.cgi?id=462574#c23

 -------  Comment #23 From  David Woodhouse (dwmw2@infradead.org)  2009-04-05 19:31:07 EDT
It seems that gsynaptics-init is overwriting values from gconf.

That wouldn't be so bad, now I've worked it out, but both gsynaptics and
synclient seem unable to set AccelFactor larger than 0.2. Setting it to 1.2
works fine in the fdi file as long as nothing else ever touches out...  


 -------  Comment #24 From  David Woodhouse (dwmw2@infradead.org)  2009-04-07 21:18:06 EDT

I'm not sure what the real maximum value for AccelFactor is, but it's
definitely larger than 0.2. I think it's probably 1.0 -- I certainly don't see
any difference above that, and I'm not even sure I see much difference above
0.8 or so.

Fixing synclient to allow values up to 1.0 seems to make things work OK (I have
to trick gsynaptics, by selecting the acceleration slider and then moving my
mouse _far_ to the right of the gsynaptics window, which causes the value to go
much higher than its intended 'maximum' of 200 :)

--- a/tools/synclient.c
+++ b/tools/synclient.c
@@ -125,7 +125,7 @@ static struct Parameter params[] = {
   SYNAPTICS_PROP_SPEED,  0, /*float */ 0),
     DEFINE_PAR("MaxSpeed",             max_speed,               PT_DOUBLE, 0,
1.0,
   SYNAPTICS_PROP_SPEED,  0, /*float */ 1),
-    DEFINE_PAR("AccelFactor",          accl,                    PT_DOUBLE, 0,
0.2,
+    DEFINE_PAR("AccelFactor",          accl,                    PT_DOUBLE, 0,
1.0,
   SYNAPTICS_PROP_SPEED,  0, /*float */ 2),
     DEFINE_PAR("TrackstickSpeed",      trackstick_speed,        PT_DOUBLE, 0,
200.0,
   SYNAPTICS_PROP_SPEED,  0, /*float */ 3),
Comment 1 Peter Hutterer 2009-04-10 23:18:04 EDT
I know this doesn't fix the current problem, but we've now integrated touchpad support into gnome-mouse-properties. Worth having a look at.

control-center-2.26.0-3 and gnome-settings-daemon-2.26.0-2
Comment 2 Bug Zapper 2009-06-09 09:28:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 09:33:27 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 07:44:12 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.